Status: In Progress Start date: 02 Feb 2017

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 1.20 hour

Description

I am trying to build and install CoCoA-5 from source on a "bare-bones" Linux box.

It is proving to be quite tedious because of all the external software needed:

g++ and make obviously are needed

BOOST for CoCoA-5

java is needed for generating documentation (in my case jre and jdk)

pdflatex is needed to generate CoCoAManual.pdf (so I'm installing texlive-full, about 3Gbytes)

txt2tags for CoCoALib documentation

probably some other stuf as well...

Related issues:

Related to CoCoA-5 - Feature #1007: (makefile) New "clean" target which does ... Closed 02 Feb 2017

History

#1 - 02 Feb 2017 16:29 - John Abbott

Can we make it simpler?  Reduce the dependencies on external software?

What do we need java for?

#2 - 02 Feb 2017 17:38 - John Abbott

- Related to Feature #1007: (makefile) New "clean" target which does not clean documentation added

#3 - 02 Feb 2017 17:41 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I failed to install LaTeX on the netbook :-(

#4 - 11 May 2019 20:47 - John Abbott

I have just tried building CoCoA-5 on my old MacBook, and it failed because java is not installed.

it is annoying that java is needed at all - can we get rid of it?

why did compilation of CoCoA-5 fail because java was missing? java is surely not needed for the compilation!

#5 - 27 Oct 2021 13:13 - John Abbott

A possible compromise to avoid deleting the documentation if the software components needed to rebuild it are not present.

As already commented (in comment 1), it is a shame that so much external software is needed just for the documentation.

Julian rediscovered this problem on a "bare-bones" Arch Linux VM.
